<?php

namespace DMZ\Http\Requests\Web;

use DMZ\Http\Requests\Request;

class AlbumPutRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'album' => 'required|max:255', 
            'description' => 'required', 
            'publish_up' => 'date|required', 
              ];
 
    }

    public function messages()
    {
        return [
            'album.required' => 'El nombre es obligatorio',  
            'album.max' => 'El nombre es muy extenso',   
            'description.required' => 'Debe ingresar una descripci贸n',  
            'publish_up.date' => 'La fecha no es corrects',  
            'publish_up.required' => 'Debe ingresar una fecha de publicaci贸n',  
        ];
    }

}
